- [HTTP request](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#body.request_body)
- [Response body](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#body.ListBudgetsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets/list#try-it)

Returns a list of budgets for a billing account.

WARNING: There are some fields exposed on the Google Cloud Console that aren't available on this API. When reading from the API, you will not see these fields in the return value, though they may have been set in the Cloud Console.

### HTTP request

`GET https://billingbudgets.googleapis.com/v1beta1/{parent=billingAccounts/*}/budgets`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Name of billing account to list budgets under. Values are of the form `billingAccounts/{billingAccountId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `billing.budgets.list` |

### Query parameters

| Parameters ||
|---|---|
| `scope` | `string` Optional. Set the scope of the budgets to be returned, in the format of the resource name. The scope of a budget is the cost that it tracks, such as costs for a single project, or the costs for all projects in a folder. Only project scope (in the format of "projects/project-id" or "projects/123") is supported in this field. When this field is set to a project's resource name, the budgets returned are tracking the costs for that project. |
| `pageSize` | `integer` Optional. The maximum number of budgets to return per page. The default and maximum value are 100. |
| `pageToken` | `string` Optional. The value returned by the last `ListBudgetsResponse` which indicates that this is a continuation of a prior `budgets.list` call, and that the system should return the next page of data. |

### Request body

The request body must be empty.

### Response body

Response for budgets.list

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "budgets": [ { object (`https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets#Budget`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `budgets[]` | ``object (`https://docs.cloud.google.com/billing/docs/reference/budget/rest/v1beta1/billingAccounts.budgets#Budget`)`` List of the budgets owned by the requested billing account. |
| `nextPageToken` | `string` If not empty, indicates that there may be more budgets that match the request; this value should be passed in a new `ListBudgetsRequest`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-billing`
- `https://www.googleapis.com/auth/cloud-platform`